Subject: bug#17254: closed (Re: bug#17254: [parted-Bugs][314651] free(): invalid pointer, malloc(): memory corruption)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 Apr 2014 15:30:05 +0000

Your bug report

#17254: [parted-Bugs][314651] free(): invalid pointer, malloc(): memory corruption

which was filed against the parted package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17254: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17254
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17254: [parted-Bugs][314651] free(): invalid pointer, malloc(): memory corruption
From: Phillip Susi <[email-masked]>
To: Glenn Morris <[email-masked]>, [email-masked]
Cc: [email-masked]
Date: Mon, 14 Apr 2014 11:29:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I have no idea why this was sent, and the issue is specific to debian,
not gnu parted.

On 4/12/2014 3:10 PM, Glenn Morris wrote:
> 
> The following seems to be some kind of automated email that was
> intended for [email-masked]. But because it seems to have been
> sent via bcc, debbugs.gnu.org (which bug-parted uses) had no idea
> which package to associate it with, so it ended up on the
> help-debbugs mailing list. I have reassigned it to the parted
> package.
> 
> I hope alioth will refine its system, to either use an explicit to:
> address, or to put "package: parted" in the first line of the
> body. Otherwise this is going to go wrong every time.
> 
>> parted-Bugs item #314651, was opened at 2014-04-12 16:15 by Sian
>> Mountbatten You can respond by visiting: 
>> https://alioth.debian.org/tracker/?func=detail&atid=410685&aid=314651&group_id=30287
>>
>>
>> 
Status: Open
>> Priority: 3 Submitted By: Sian Mountbatten (poenikatu-guest) 
>> Assigned to: Nobody (None) Summary: free(): invalid pointer,
>> malloc(): memory corruption Category: parted Group: None 
>> Resolution: None
>> 
>> 
>> Initial Comment: GNU Parted 2.3 Using /dev/sdg Welcome to GNU
>> Parted! Type 'help' to view a list of commands. (parted) print
>>  *** Error in `parted': free(): invalid pointer:
>> 0x000000000246f000 *** *** Error in `parted': malloc(): memory
>> corruption: 0x000000000246eec0 ***
>> 
>> 
>> ----------------------------------------------------------------------
>>
>>
>> 
You can respond by visiting:
>> https://alioth.debian.org/tracker/?func=detail&atid=410685&aid=314651&group_id=30287
>
>> 
> 
> 

Subject: [parted-Bugs][314651] free(): invalid pointer, malloc(): memory corruption
From: <[email-masked]>
To: [email-masked]
Date: Sat, 12 Apr 2014 16:15:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

parted-Bugs item #314651, was opened at 2014-04-12 16:15 by Sian Mountbatten
You can respond by visiting: 
https://alioth.debian.org/tracker/?func=detail&atid=410685&aid=314651&group_id=30287

Status: Open
Priority: 3
Submitted By: Sian Mountbatten (poenikatu-guest)
Assigned to: Nobody (None)
Summary: free(): invalid pointer, malloc(): memory corruption 
Category: parted
Group: None
Resolution: None

Initial Comment:
GNU Parted 2.3
Using /dev/sdg
Welcome to GNU Parted! Type 'help' to view a list of commands.
(parted) print                                                            
*** Error in `parted': free(): invalid pointer: 0x000000000246f000 ***
*** Error in `parted': malloc(): memory corruption: 0x000000000246eec0 ***

----------------------------------------------------------------------

You can respond by visiting: 
https://alioth.debian.org/tracker/?func=detail&atid=410685&aid=314651&group_id=30287